var path = require('path');

function capitalizeFirstLetter(string) {
    return string.charAt(0).toUpperCase() + string.slice(1);
}

module.exports = function(source, map) {
  this.cacheable && this.cacheable();
  map.sources = map.sources ? map.sources.map(function(source) {
    var fullpath = path.join(map.sourceRoot, source); 

    return capitalizeFirstLetter(fullpath);
  }) : map.sources;
  map.sourceRoot = null;
  this.callback(null, source, map);
};
